// Copyright 2010 Google Inc. All Rights Reserved.

#ifndef MOZC_UNIX_IBUS_MAIN_H_
#define MOZC_UNIX_IBUS_MAIN_H_

#include <cstddef>

namespace {
const char kComponentName[] = "com.google.IBus.Mozc";
const char kComponentDescription[] = "Mozc Component";
const char kComponentExec[] = "/usr/lib64/ibus-mozc/ibus-engine-mozc --ibus";
const char kComponentVersion[] = "0.0.0.0";
const char kComponentAuthor[] = "Google Inc.";
const char kComponentLicense[] = "New BSD";
const char kComponentHomepage[] = "https://github.com/google/mozc";
const char kComponentTextdomain[] = "ibus-mozc";
const char kEngineDescription[] = "Mozc (Japanese Input Method)";
const char kEngineLanguage[] = "ja";
const char kEngineIcon[] = "/usr/share/ibus-mozc/product_icon.png";
const char kEngineIcon_prop_key[] = "InputMode";
const char kEngineSymbol[] = "&#x3042;";
const char kEngineSetup[] = "/usr/lib64/mozc/mozc_tool --mode=config_dialog";
const size_t kEngineArrayLen = 4;
const char kEnginesXml[] = R"#(<engines>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <symbol>&#x3042;</symbol>
  <setup>/usr/lib64/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-jp</name>
  <longname>Mozc</longname>
  <layout>default</layout>
  <layout_variant></layout_variant>
  <layout_option></layout_option>
  <rank>80</rank>
</engine>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <symbol>&#x3042;</symbol>
  <setup>/usr/lib64/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-jp-jp</name>
  <longname>Mozc - JP layout</longname>
  <layout>jp</layout>
  <layout_variant></layout_variant>
  <layout_option></layout_option>
  <rank>0</rank>
</engine>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <symbol>&#x3042;</symbol>
  <setup>/usr/lib64/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-us</name>
  <longname>Mozc - US layout</longname>
  <layout>us</layout>
  <layout_variant></layout_variant>
  <layout_option></layout_option>
  <rank>0</rank>
</engine>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <symbol>&#x3042;</symbol>
  <setup>/usr/lib64/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-dv</name>
  <longname>Mozc - US Dvorak layout</longname>
  <layout>us</layout>
  <layout_variant>dvorak</layout_variant>
  <layout_option></layout_option>
  <rank>0</rank>
</engine>
</engines>
)#";
const char kIbusConfigTextProto[] = R"#(engines {
  name : "mozc-jp"
  longname : "Mozc"
  layout : "default"
  layout_variant : ""
  layout_option : ""
  rank : 80
}
engines {
  name : "mozc-jp-jp"
  longname : "Mozc - JP layout"
  layout : "jp"
  layout_variant : ""
  layout_option : ""
  rank : 0
}
engines {
  name : "mozc-us"
  longname : "Mozc - US layout"
  layout : "us"
  layout_variant : ""
  layout_option : ""
  rank : 0
}
engines {
  name : "mozc-dv"
  longname : "Mozc - US Dvorak layout"
  layout : "us"
  layout_variant : "dvorak"
  layout_option : ""
  rank : 0
}
)#";
}  // namespace
#endif  // MOZC_UNIX_IBUS_MAIN_H_
